POST /queue/search

Search queue jobs using request body with complex queries

Search queue jobs using request body with complex queries
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
fromoptionalinteger
0
Starting position for pagination
mustoptionalarray
[{}]
Conditions that must match
rangeoptionalobject
{}
Range queries for dates/numbers
shouldoptionalarray
[{}]
Conditions that should match
sizeoptionalinteger
10
Number of results to return
termoptionalobject
{}
Term-based search criteria
{}
{
  "error": "ERROR_KEY"
}
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
queue_viewRequired scope: queue_view

Back to Queue Return to the Queue category to view other endpoints All API Categories Browse all available API categories